This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 570842 - Review Request: sugar-labyrinth - A lightweight mind-mapping activity for Sugar
Review Request: sugar-labyrinth - A lightweight mind-mapping activity for Sugar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SOAS-3
  Show dependency treegraph
 
Reported: 2010-03-05 10:53 EST by Sebastian Dziallas
Modified: 2010-04-04 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-04 11:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2010-03-05 10:53:46 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-labyrinth.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-labyrinth-8-1.fc12.src.rpm

Description: This is another requirement for the Sugar packaging effort.
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2033420
Comment 1 Peter Robinson 2010-03-14 17:30:30 EDT
I'll review this one.
Comment 2 Peter Robinson 2010-04-02 08:05:10 EDT
All mostly good. A few very minor rpmlint that need to be fixed. Removal of empty file and the tabs issue. Other that that it all looks good. APPROVED!

+ rpmlint output

$ rpmlint sugar-labyrinth.spec sugar-labyrinth-8-1.fc12.src.rpm sugar-labyrinth-8-1.fc12.noarch.rpm 
sugar-labyrinth.spec:6: W: non-standard-group Sugar/Activities
sugar-labyrinth.spec:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
sugar-labyrinth.src: W: non-standard-group Sugar/Activities
sugar-labyrinth.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
sugar-labyrinth.noarch: W: non-standard-group Sugar/Activities
sugar-labyrinth.noarch: E: zero-length /usr/share/sugar/activities/Labyrinth.activity/port/TODO
2 packages and 1 specfiles checked; 1 errors, 5 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  381604d0011554469f1c93884e723878  labyrinth-8.xo
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 3 Sebastian Dziallas 2010-04-03 07:25:37 EDT
New Package CVS Request
=======================
Package Name: sugar-labyrinth
Short Description: A lightweight mind-mapping activity for Sugar
Owners: sdz pbrobinson
Branches: F-13 F-12 F-11
Comment 4 Kevin Fenzi 2010-04-03 13:37:40 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Peter Robinson 2010-04-04 11:37:40 EDT
Built and on its way to rawhide

Note You need to log in before you can comment on or make changes to this bug.